Bug 430137 - Installer told me to report error after drive configuration
Installer told me to report error after drive configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 13:32 EST by Tim Alberts
Modified: 2008-06-04 09:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 09:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Alberts 2008-01-24 13:32:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

Description of problem:
I was installing Fedora 8 from the Gnome Live CD.  The Live CD boots, runs fine.  I went into the installer and it crashed and told me to report it.  After reporting it, the running Live CD continues operating fine.

The installer crashed after I setup the drive configuration.  Two new 300G Western Digital RE2 SATA drives were used.  I was configuring LVM RAID almost exactly like shown here:

https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/RHEL510/Deployment_Guide/s1-raid-diskdruid-manual-devmnt.html

Figure 4.9

Following is the trace dump:

anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 305, in pvcreate
    raise PVCreateError(node)
  File "/usr/lib/anaconda/fsset.py", line 2159, in setupDevice
    lvm.pvcreate(node)
  File "/usr/lib/anaconda/fsset.py", line 1517, in createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/packages.py", line 154, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1048, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1075, in handleRenderCallback
    self.currentWindow.renderCallback()
PVCreateError: pvcreate of pv "/dev/md3" failed
Log:
   Wiping cache of LVM-capable devices
   Wiping internal VG cache
   Device /dev/md3 not found (or ignored by filtering).

Local variables in innermost frame:
node: /dev/md3
args: ['pvcreate', '-ff', '-y', '-v', '/dev/md3']
rc: 5


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object at 0x93570cc (GtkEventBox at 0x8ef9ad0)>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object at 0x93570a4 (GtkImage at 0x934aaf0)>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object at 0x935711c (GtkLabel at 0x90f7e30)>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 12612
        intf.ppw.ics.cw.mainxml: <glade.XML object at 0x8dd58c4 (PyGladeXML at 0x8ede968)>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object at 0x8dd57fc (GtkWindow at 0x8eeb990)>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object at 0x8dd589c (GtkFrame at 0x8e2b8f0)>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object at 0x8dd5824 (GtkWindow at 0x8eeb830)>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object at 0x8dd5784 (HtmlView at 0x8ec5070)>
          intf.ppw.ics.cw.rnv.currentURI: None
          intf.ppw.ics.cw.rnv.topDir: None
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object at 0x8dd56e4 (HtmlDocument at 0x8ebcc90)>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent', 'Python-urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object at 0x93570f4 (GtkProgressBar at 0x90f7b30)>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0x8dd32ec>
method: LiveCDImageMethod instance, containing members:
  method.intf: Already dumped
  method.tree: None
  method.rootPath: /mnt/sysimage
  method.osimg: //dev/mapper/live-osimg-min
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.instProgress: Already dumped
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x8c6bc8c>]
Primary Video Card Info:
device: None
driver : nv
descr : nVidia Corporation NV18 [GeForce4 MX 4000]
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test, -extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: nVidia Corporation NV18 [GeForce4 MX 4000]
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: nv
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512, 800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900, 1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900, 1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1920x1080, 1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing members:
      id.xsetup.xserver.mousehw: FULLNAME="Generic - 3 Button Mouse (PS/2)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /dev/null
      id.xsetup.xserver.config: None
      id.xsetup.xserver.display: :9
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: False
    id.timezone.arc: 0
    id.timezone.tz: America/Los_Angeles
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x8dd31cc>
  id.methodstr: livecd:///dev/mapper/live-osimg-min
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0x8c7f14c>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0x8c7f14c>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0x8c7f14c>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol01   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: md0   mountpoint: /boot
  fsystem: ext3 format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda1   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sdb1   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sdb2   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sdb3   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sdb5   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda3   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: md1   mountpoint: None
  fsystem: physical volume (LVM) format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda5   mountpoint: None
  fsystem: software RAID format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00/LogVol00   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: md2   mountpoint: None
  fsystem: physical volume (LVM) format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: md3   mountpoint: None
  fsystem: physical volume (LVM) format: True
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: False
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend.method: Already dumped
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {'sda': True, 'sdb': True}
    id.diskset.disks: {'sda': <PedDisk object at 0x8ae9b90>, 'sdb': <PedDisk object at 0x8ae9b78>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: partition
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: md0
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda, sdb]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup00/LogVol01
      id.bootloader.images.images: {'VolGroup00/LogVol01': ('linux', 'Fedora', 'ext3')}
    id.bootloader.drivelist: [sda, sdb]
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: False
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: msi1.inside.msi
    id.network.overrideDHCPhostname: 1
    id.network.netdevices: {'eth2': DEVICE=eth2
BOOTPROTO=dhcp
HWADDR=00:11:2F:48:C4:E8
ONBOOT=no

, 'eth1': DEVICE=eth1
BOOTPROTO=dhcp
HWADDR=00:A0:CC:62:39:5D
ONBOOT=no

, 'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:11:2F:48:BA:5A
ONBOOT=no

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: []
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: <installclass.DefaultInstall object at 0x89ad2cc>
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 33
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 3
      device: sda1
      mountpoint: None
      requestSize: 100
      grow: None
      size: 100
      end: None
      bytesPerInode: 4096
      drive: [sda]
      dev: PartitionDevice instance, containing members:
        dev.device: sda1
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: raidMemberDummyFileSystem instance, containing members:
        fstype.partedPartitionFlags: [5]
        fstype.checked: 0
        fstype.name: software RAID
        fstype.migratetofs: None
        fstype.deviceArguments: {}
        fstype.linuxnativefs: 1
        fstype.maxSizeMB: 8388608
        fstype.supported: 1
        fstype.defaultOptions: defaults
        fstype.packages: [mdadm]
        fstype.extraFormatArgs: []
        fstype.formattable: 1
        fstype.partedFileSystemType: <PedFileSystemType object at 0x88116e0>
        fstype.maxLabelChars: 16
, NewPartitionSpec instance, containing members:
      currentDrive: sdb
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 4
      device: sdb1
      mountpoint: None
      requestSize: 100
      grow: None
      size: 100
      end: None
      bytesPerInode: 4096
      drive: [sdb]
      dev: PartitionDevice instance, containing members:
        dev.device: sdb1
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: None
      primary: None
      dev: None
      uniqueID: 2
      mountpoint: None
      requestSize: 305245.335938
      size: 305245.335938
      end: 625142447
      grow: 0
      start: 0
      ignoreBootConstraints: 0
      type: 1
      format: None
      fsopts: None
      fstype: None
      preexist: 1
      device: sdb-1
      maxSizeMB: None
      bytesPerInode: 4096
      drive: sdb
      fslabel: None
      protected: 0
      multidrive: None
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      migrate: None
      origfstype: None
      primary: None
      dev: None
      uniqueID: 1
      mountpoint: None
      requestSize: 305245.335938
      size: 305245.335938
      end: 625142447
      grow: 0
      start: 0
      ignoreBootConstraints: 0
      type: 1
      format: None
      fsopts: None
      fstype: None
      preexist: 1
      device: sda-1
      maxSizeMB: None
      bytesPerInode: 4096
      drive: sda
      fslabel: None
      protected: 0
      multidrive: None
, NewPartitionSpec instance, containing members:
      currentDrive: sdb
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 13
      device: sdb2
      mountpoint: None
      requestSize: 100000
      grow: None
      size: 100000
      end: None
      bytesPerInode: 4096
      drive: [sdb]
      dev: PartitionDevice instance, containing members:
        dev.device: sdb2
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, NewPartitionSpec instance, containing members:
      currentDrive: sdb
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 11
      device: sdb3
      mountpoint: None
      requestSize: 100000
      grow: None
      size: 100000
      end: None
      bytesPerInode: 4096
      drive: [sdb]
      dev: PartitionDevice instance, containing members:
        dev.device: sdb3
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, NewPartitionSpec instance, containing members:
      currentDrive: sdb
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 9
      device: sdb5
      mountpoint: None
      requestSize: 100000
      grow: None
      size: 100000
      end: None
      bytesPerInode: 4096
      drive: [sdb]
      dev: PartitionDevice instance, containing members:
        dev.device: sdb5
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 7
      device: sda2
      mountpoint: None
      requestSize: 100000
      grow: None
      size: 100000
      end: None
      bytesPerInode: 4096
      drive: [sda]
      dev: PartitionDevice instance, containing members:
        dev.device: sda2
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 6
      device: sda3
      mountpoint: None
      requestSize: 100000
      grow: None
      size: 100000
      end: None
      bytesPerInode: 4096
      drive: [sda]
      dev: PartitionDevice instance, containing members:
        dev.device: sda3
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, RAID Request -- mountpoint: /boot  uniqueID: 16
  type: ext3  format: True
  raidlevel: RAID1  raidspares: 0
  raidmembers: [3, 4]  bytesPerInode: 4096
, RAID Request -- mountpoint: None  uniqueID: 19
  type: physical volume (LVM)  format: True
  raidlevel: RAID1  raidspares: 0
  raidmembers: [7, 13]  bytesPerInode: 4096
, NewPartitionSpec instance, containing members:
      currentDrive: sda
      format: True
      migrate: None
      origfstype: None
      primary: None
      fsopts: None
      preexist: 0
      fslabel: None
      uniqueID: 5
      device: sda5
      mountpoint: None
      requestSize: 100000
      grow: None
      size: 100000
      end: None
      bytesPerInode: 4096
      drive: [sda]
      dev: PartitionDevice instance, containing members:
        dev.device: sda5
        dev.isSetup: 0
        dev.doLabel: 1
        dev.deviceOptions: 
        dev.label: None
      maxSizeMB: None
      start: None
      protected: 0
      multidrive: None
      ignoreBootConstraints: 0
      type: 2
      fstype: Already dumped
, VG Request -- name: VolGroup00  uniqueID: 28
  format: True pesize: 32768  
  physvols: [19, 22, 25]
, LV Request -- mountpoint: /  uniqueID: 30
  type: ext3  format: 1
  size: 298784  lvname: LogVol01  volgroup: 28
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 29
  type: swap  format: 1
  size: 1024  lvname: LogVol00  volgroup: 28
  bytesPerInode: 4096  options: 'None'
, RAID Request -- mountpoint: None  uniqueID: 22
  type: physical volume (LVM)  format: True
  raidlevel: RAID1  raidspares: 0
  raidmembers: [6, 11]  bytesPerInode: 4096
, RAID Request -- mountpoint: None  uniqueID: 25
  type: physical volume (LVM)  format: True
  raidlevel: RAID1  raidspares: 0
  raidmembers: [5, 9]  bytesPerInode: 4096
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 512  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
16:06:54 INFO    : using only installclass _Fedora
16:06:55 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
16:06:55 INFO    : Display mode = g
16:06:55 INFO    : Method = livecd:///dev/mapper/live-osimg-min
16:06:55 INFO    : anaconda floppy device fd0
16:06:58 INFO    : Starting graphical installation...
16:06:59 INFO    : Detected 512M of memory
16:06:59 INFO    : Swap attempt of 512M to 1024M
16:06:59 WARNING : step installtype does not exist
16:06:59 WARNING : step complete does not exist
16:07:00 INFO    : moving (1) to step welcome
16:07:03 INFO    : moving (1) to step keyboard
16:07:07 INFO    : moving (1) to step partitionobjinit
16:07:07 INFO    : no /tmp/fcpconfig; not configuring zfcp
16:07:07 DEBUG   : starting mpaths
16:07:07 DEBUG   : self.driveList(): ['sda', 'sdb']
16:07:07 DEBUG   : DiskSet.skippedDisks: []
16:07:07 DEBUG   : DiskSet.skippedDisks: []
16:07:07 DEBUG   : starting all mpaths on drives ['sda', 'sdb']
16:07:07 DEBUG   : scanning for multipath on drives ['sda', 'sdb']
16:07:08 WARNING : /usr/lib/anaconda/dmraid.py:247: UserWarning: device node created in /tmp
  isys.makeDevInode(d, dp)

16:07:08 DEBUG   : loading bdevid modules from: '/tmp/updates/bdevid/:/mnt/source/RHupdates/bdevid/:/lib/bdevid/:/usr/lib/bdevid/'
16:07:08 DEBUG   : mpaths: []
16:07:08 DEBUG   : done starting mpaths.  Drivelist: ['sda', 'sdb']
16:07:08 DEBUG   : starting dmraids
16:07:08 DEBUG   : self.driveList(): ['sda', 'sdb']
16:07:08 DEBUG   : DiskSet.skippedDisks: []
16:07:08 DEBUG   : DiskSet.skippedDisks: []
16:07:08 DEBUG   : starting all dmraids on drives ['sda', 'sdb']
16:07:08 DEBUG   : scanning for dmraid on drives ['sda', 'sdb']
16:07:08 WARNING : /usr/lib/anaconda/dmraid.py:129: UserWarning: device node created in /tmp
  isys.makeDevInode(d, dp)

16:07:08 DEBUG   : done starting dmraids.  Drivelist: ['sda', 'sdb']
16:07:08 DEBUG   : adding drive sda to disk list
16:07:08 DEBUG   : adding drive sdb to disk list
16:07:08 WARNING : /usr/lib/anaconda/raid.py:68: UserWarning: device node created in /tmp
  isys.makeDevInode(d, "/tmp/" + d)

16:07:10 INFO    : sr0 is a protected partition
16:07:10 INFO    : no request, probably a removable drive
16:07:10 INFO    : moving (1) to step parttype
16:07:17 INFO    : moving (1) to step partition
16:37:01 DEBUG   : adding drive sda to disk list
16:37:01 DEBUG   : adding drive sdb to disk list
16:37:27 DEBUG   : adding drive sda to disk list
16:37:27 DEBUG   : adding drive sdb to disk list
16:38:11 DEBUG   : adding drive sda to disk list
16:38:11 DEBUG   : adding drive sdb to disk list
16:38:25 DEBUG   : adding drive sda to disk list
16:38:25 DEBUG   : adding drive sdb to disk list
16:38:40 DEBUG   : adding drive sda to disk list
16:38:40 DEBUG   : adding drive sdb to disk list
16:39:06 DEBUG   : adding drive sda to disk list
16:39:06 DEBUG   : adding drive sdb to disk list
16:39:17 DEBUG   : adding drive sda to disk list
16:39:17 DEBUG   : adding drive sdb to disk list
16:39:26 DEBUG   : adding drive sda to disk list
16:39:26 DEBUG   : adding drive sdb to disk list
16:40:29 DEBUG   : adding drive sda to disk list
16:40:29 DEBUG   : adding drive sdb to disk list
16:41:55 DEBUG   : adding drive sda to disk list
16:41:55 DEBUG   : adding drive sdb to disk list
16:42:37 DEBUG   : adding drive sda to disk list
16:42:37 DEBUG   : adding drive sdb to disk list
16:42:54 DEBUG   : adding drive sda to disk list
16:42:54 DEBUG   : adding drive sdb to disk list
16:43:00 INFO    : computeVGSize: vgsize is 299808
16:43:27 INFO    : computeVGSize: vgsize is 299808
16:43:27 INFO    : computeVGSize: vgsize is 299808
16:43:50 INFO    : computeVGSize: vgsize is 299808
16:43:50 INFO    : computeVGSize: vgsize is 299808
16:43:53 INFO    : computeVGSize: vgsize is 299808
16:43:53 INFO    : computeVGSize: vgsize is 299808
16:44:03 INFO    : computeVGSize: vgsize is 299808
16:44:03 INFO    : computeVGSize: vgsize is 299808
16:44:06 INFO    : computeVGSize: vgsize is 299808
16:44:06 DEBUG   : adding drive sda to disk list
16:44:06 DEBUG   : adding drive sdb to disk list
16:44:37 INFO    : moving (1) to step partitiondone
16:44:37 INFO    : moving (1) to step bootloadersetup
16:44:37 INFO    : moving (1) to step bootloader
16:44:55 INFO    : moving (1) to step bootloaderadvanced
16:45:03 INFO    : moving (1) to step networkdevicecheck
16:45:03 INFO    : moving (1) to step network
16:45:35 INFO    : moving (1) to step timezone
16:45:46 INFO    : moving (1) to step accounts
16:45:54 INFO    : moving (1) to step reposetup
16:45:54 INFO    : moving (1) to step basepkgsel
16:45:54 INFO    : moving (1) to step postselection
16:45:54 INFO    : moving (1) to step confirminstall
16:45:55 INFO    : moving (1) to step install
16:45:55 INFO    : moving (1) to step enablefilesystems
16:45:56 INFO    : disk.commit() for /dev/sda
16:45:56 INFO    : disk.commit() for /dev/sdb
16:45:56 DEBUG   : adding drive sda to disk list
16:45:57 DEBUG   : adding drive sdb to disk list
16:45:57 INFO    : going to run: ['mdadm', '--create', '/dev/md1', '--run', '--chunk=256', '--level=1', '--raid-devices=2', '/dev/sda2', '/dev/sdb2']
16:47:34 INFO    : going to run: ['mdadm', '--create', '/dev/md2', '--run', '--chunk=256', '--level=1', '--raid-devices=2', '/dev/sda3', '/dev/sdb3']
16:49:24 INFO    : going to run: ['mdadm', '--create', '/dev/md3', '--run', '--chunk=256', '--level=1', '--raid-devices=2', '/dev/sda5', '/dev/sdb5']


/tmp/lvmout:
    Wiping cache of LVM-capable devices
    Wiping internal VG cache
  Device /dev/md3 not found (or ignored by filtering).

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Andy Lindeberg 2008-06-03 13:29:35 EDT
Have you encountered the same issue in Fedora 9?
Comment 2 Tim Alberts 2008-06-03 14:09:38 EDT
I have not tried Fedora 9 yet.

Honestly I don't remember the hardware I was using as this was 5 months ago. 
However, I know that the hardware we had at the time was under question.  If it
happened on the machine I think it did, the disk controller on the motherboard
was bad.

So as this problem was 5 months ago...I would dismiss this as a hardware problem.
Comment 3 Andy Lindeberg 2008-06-04 09:54:39 EDT
Will do. :)

Note You need to log in before you can comment on or make changes to this bug.